import react from "@vitejs/plugin-react";
import { defineConfig, loadEnv } from "vite";
import svgr from "vite-plugin-svgr";

export default defineConfig(({ mode }) => {
  // @ts-ignore
  const env = loadEnv(mode, process.cwd());

  console.log(env);

  return {
    base: "/",
    plugins: [svgr(), react()],
    server: {
      proxy: {
        "/realms": "https://kk.dev.selftech.ru/",
      },
    },
    css: {
      preprocessorOptions: {
        less: {
          modifyVars: {
            "primary-color": "#CC2222FF",
            "border-radius-base": "5px",
          },
          javascriptEnabled: true,
        },
      },
    },
  };
});
